Package org.eclipse.zest.layouts.algorithms

# Class RadialLayoutAlgorithm.Zest1

java.lang.Object
org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1
org.eclipse.zest.layouts.algorithms.TreeLayoutAlgorithm.Zest1
org.eclipse.zest.layouts.algorithms.RadialLayoutAlgorithm.Zest1

All Implemented Interfaces:
  `LayoutAlgorithm`, `LayoutAlgorithm.Zest1`, `Stoppable`

Enclosing class:
  `RadialLayoutAlgorithm`

@Deprecated(since="2.0", forRemoval=true) public static class RadialLayoutAlgorithm.Zest1 extends TreeLayoutAlgorithm.Zest1
Deprecated, for removal: This API element is subject to removal in a future version.
Use `RadialLayoutAlgorithm` instead. This class will be removed in a future release.
Collection of Zest 1.x methods. Used for backwards compatibility.

Since:
  2.0
@noextend
  This class is not intended to be subclassed by clients.
@noreference
  This class is not intended to be referenced by clients.
@noinstantiate
  This class is not intended to be instantiated by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.zest.layouts.LayoutAlgorithm

`LayoutAlgorithm.Zest1`

## Field Summary

### Fields inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1

`comparator, filter, internalAsynchronous, internalContinuous, layout_styles, layoutStopped, MIN_ENTITY_SIZE, resizeEntitiesAfterLayout`

## Constructor Summary

Constructors
Constructor
Description
`Zest1()`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a radial layout with no style.
`Zest1(int styles)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`computeRadialPositions(InternalNode[] entities, DisplayIndependentRectangle bounds2)`
Deprecated, for removal: This API element is subject to removal in a future version.
Take the tree and make it round.
`protected DisplayIndependentRectangle`
`getLayoutBounds(InternalNode[] entitiesToLayout, boolean includeNodeSize)`
Deprecated, for removal: This API element is subject to removal in a future version.
Find the bounds in which the nodes are located.
`protected boolean`
`isValidConfiguration(boolean asynchronous, boolean continueous)`
Deprecated, for removal: This API element is subject to removal in a future version.
Determines if the configuration is valid for this layout
`protected void`
`postLayoutAlgorithm(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider)`
Deprecated, for removal: This API element is subject to removal in a future version.
Code called after the layout algorithm ends
`protected void`
`preLayoutAlgorithm(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider, double x, double y, double width, double height)`
Deprecated, for removal: This API element is subject to removal in a future version.
Executes this TreeLayoutAlgorithm layout algorithm by referencing the data stored in the repository system.
`void`
`setLayoutArea(double x, double y, double width, double height)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setRangeToLayout(double startDegree, double endDegree)`
Deprecated, for removal: This API element is subject to removal in a future version.
Set the range the radial layout will use when applyLayout is called.

### Methods inherited from class org.eclipse.zest.layouts.algorithms.TreeLayoutAlgorithm.Zest1

`applyLayoutInternal, getCurrentLayoutStep, getRoots, getTotalNumberOfLayoutSteps`

### Methods inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1

`addEntity, addProgressListener, addRelationship, applyLayout, applyLayout, defaultFitWithinBounds, defaultFitWithinBounds, fireProgressEnded, fireProgressEvent, fireProgressStarted, fireProgressUpdated, getEntityAspectRatio, getLocalLocation, getNumberOfProgressListeners, getStyle, isRunning, removeEntity, removeProgressListener, removeRelationship, removeRelationships, removeRelationships, setComparator, setEntityAspectRatio, setFilter, setLayoutContext, setStyle, stop, updateBendPoints, updateEntities, updateLayoutLocations, updateRelationships, verifyInput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Zest1

public Zest1()
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a radial layout with no style.

### Zest1

public Zest1(int styles)
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### setLayoutArea

public void setLayoutArea(double x, double y, double width, double height)
Deprecated, for removal: This API element is subject to removal in a future version.

Overrides:
  `setLayoutArea` in class `TreeLayoutAlgorithm.Zest1`

### isValidConfiguration

protected boolean isValidConfiguration(boolean asynchronous, boolean continueous)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from class: `AbstractLayoutAlgorithm.Zest1`
Determines if the configuration is valid for this layout

Overrides:
  `isValidConfiguration` in class `TreeLayoutAlgorithm.Zest1`
Parameters:
  `asynchronous` -
  `continueous` -

### preLayoutAlgorithm

protected void preLayoutAlgorithm(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider, double x, double y, double width, double height)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from class: `TreeLayoutAlgorithm.Zest1`
Executes this TreeLayoutAlgorithm layout algorithm by referencing the data stored in the repository system. Once done, the result will be saved to the data repository.

Overrides:
  `preLayoutAlgorithm` in class `TreeLayoutAlgorithm.Zest1`
Parameters:
  `entitiesToLayout` - Apply the algorithm to these entities
  `relationshipsToConsider` - Only consider these relationships when applying the algorithm.
  `x` - The left side of the bounds in which the layout can place the entities.
  `y` - The top side of the bounds in which the layout can place the entities.
  `width` - The width of the bounds in which the layout can place the entities.
  `height` - The height of the bounds in which the layout can place the entities.

### postLayoutAlgorithm

protected void postLayoutAlgorithm(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from class: `AbstractLayoutAlgorithm.Zest1`
Code called after the layout algorithm ends

Overrides:
  `postLayoutAlgorithm` in class `TreeLayoutAlgorithm.Zest1`

### setRangeToLayout

public void setRangeToLayout(double startDegree, double endDegree)
Deprecated, for removal: This API element is subject to removal in a future version.
Set the range the radial layout will use when applyLayout is called. Both values must be in radians.

### computeRadialPositions

protected void computeRadialPositions(InternalNode[] entities, DisplayIndependentRectangle bounds2)
Deprecated, for removal: This API element is subject to removal in a future version.
Take the tree and make it round. This is done by determining the location of each entity in terms of its percentage in the tree layout. Then apply that percentage to the radius and distance from the center.

### getLayoutBounds

protected DisplayIndependentRectangle getLayoutBounds(InternalNode[] entitiesToLayout, boolean includeNodeSize)
Deprecated, for removal: This API element is subject to removal in a future version.
Find the bounds in which the nodes are located. Using the bounds against the real bounds of the screen, the nodes can proportionally be placed within the real bounds. The bounds can be determined either including the size of the nodes or not. If the size is not included, the bounds will only be guaranteed to include the center of each node.

Overrides:
  `getLayoutBounds` in class `AbstractLayoutAlgorithm.Zest1`